Package org.springframework.beans

# Class AbstractNestablePropertyAccessor.PropertyTokenHolder

java.lang.Object
org.springframework.beans.AbstractNestablePropertyAccessor.PropertyTokenHolder

Enclosing class:
  AbstractNestablePropertyAccessor

protected static class AbstractNestablePropertyAccessor.PropertyTokenHolder extends Object
Holder class used to store property tokens.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`actualName`
`String`
`canonicalName`
`String[]`
`keys`

## Constructor Summary

Constructors
Constructor
Description
`PropertyTokenHolder(String name)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### actualName

public String actualName

### canonicalName

public String canonicalName

### keys

@Nullable public String[] keys

## Constructor Details

### PropertyTokenHolder

public PropertyTokenHolder(String name)